#include <QtGui>
#include <QtSql>

#include "form1.h"

int main(int argc, char *argv[]){
    QApplication app(argc, argv);

    QDir::setCurrent(QApplication::applicationDirPath());

    //QFontDatabase::addApplicationFont(":fonts/EndlessShowroom.ttf");
    //QFontDatabase::addApplicationFont(":fonts/FreeSans.ttf");
    //QFontDatabase::addApplicationFont(":fonts/tahoma.ttf");

    QTextCodec::setCodecForLocale(QTextCodec::codecForName("UTF8"));
    QTextCodec::setCodecForTr(QTextCodec::codecForName("UTF8"));
    QTextCodec::setCodecForCStrings(QTextCodec::codecForName("UTF8"));

    QApplication::setStyle(new QCleanlooksStyle);
    qsrand(QTime(0,0,0).secsTo(QTime::currentTime()));

    // Инизиализация звука
    SDL_Init(SDL_INIT_AUDIO);
    if(Mix_OpenAudio(22050, AUDIO_S16, 2, 1024)) {
        QMessageBox::warning(NULL,"No Sound","Unable to open audio!");
        exit(1);
    }
    // громкость
    Mix_VolumeMusic(50);

    QString gameDataPath;
    if (QFile("million.db").exists()) {
        gameDataPath = "";
    }
    else if (QFile("/usr/share/million/million.db").exists()) {
        gameDataPath = "/usr/share/million/";
    }
    else {
        QMessageBox::critical(NULL,"Error","Unable to find game database");
        return 1;
    }

    // Инициализация БД
    //create table question (id INTEGER PRIMARY KEY    AUTOINCREMENT, question text,a varchar(32),b varchar(32),c varchar(32),d varchar(32),level int   )
    QSqlDatabase db = QSqlDatabase::addDatabase("QSQLITE");
    db.setDatabaseName(gameDataPath + "million.db");
    if (!db.open()) {
        QMessageBox::critical(NULL,"Error","Unable to establish a database connection");
        return 1;
    }

    form1 form;
    form.show();

    return app.exec();
}
